=== data/locale/CMakeLists.txt ===
FILE(GLOB QM_FILES *.qm)
IF(LMMS_BUILD_WIN32)
	FILE(GLOB QT_QM_FILES ${QT_TRANSLATIONS_DIR}/qt*[^h].qm)
ENDIF(LMMS_BUILD_WIN32)
INSTALL(FILES ${QM_FILES} ${QT_QM_FILES} DESTINATION ${LMMS_DATA_DIR}/locale)
