=== plugins/lb302/CMakeLists.txt ===
INCLUDE(BuildPlugin)

BUILD_PLUGIN(lb302 lb302.cpp lb302.h MOCFILES lb302.h EMBEDDED_RESOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.png)
