=== plugins/lb303/CMakeLists.txt ===
INCLUDE(BuildPlugin)

BUILD_PLUGIN(lb303 lb303.cpp lb303.h MOCFILES lb303.h EMBEDDED_RESOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.png)
