=== debian/changelog ===
lmms (0.4.15-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Israel Dahl <israeldahl@gmail.com>  Wed, 21 Aug 2013 22:28:07 -0500
