## lmms 1.0

=== DESCRIPTION ===
Package: lmms
Type: Package
Title: Linear mixed effect model splines for modelling and analysis of
        time course data
Version: 1.0
Date: 2014-05-06
Depends: R (>= 3.0.0)
Imports: stats, methods, nlme, lmeSplines, parallel, reshape, gdata,
        graphics
Author: Jasmin Straube, Kim-Anh Le Cao and Emma Huang with contributions of
    Dominique Gorse
Maintainer: Jasmin Straube <j.straube@qfab.org>
Description: The package implements linear mixed effect model splines for
    modelling and differential expression for highly dimensional data sets:
    lmmSpline to models time course expression profiles and lmmsDE performs
    differential expression analysis to identify differential expression
    between groups, time and/or time x group interaction.
License: GPL (>= 2)
Packaged: 2014-06-06 00:43:40 UTC; j.straube
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-06 07:40:21
