=== data/samples/CMakeLists.txt ===
INCLUDE(InstallHelpers)

INSTALL_DATA_SUBDIRS("samples" "*.wav;*.ogg;*.ds;*.flac")
