=== plugins/HydrogenImport/CMakeLists.txt ===
INCLUDE(BuildPlugin)

BUILD_PLUGIN(hydrogenimport HydrogenImport.cpp HydrogenImport.h local_file_mgr.cpp LocalFileMng.h)
