=== debian/changelog ===
lmms (1.0.0+bzr2569-0ubuntu1) trusty; urgency=high

  * New upstream release based on git commit 255b2a2f49c2

  [ Israel Dahl ]
  * fix-crash-on-close: (Filipe Coelho)
  * debian/rules: tiny version (Rodney Dawes)
  * debian/compat: 9
  * debian/menu: name * LMMS
  * debian/control: removed obsolete builddeps, added fltk libs... suggest
    fluid-soundfont-gm
  * Completely redesigned default theme and UI style
  * New splash screen and logo
  * New plugins:
    - DynamicsProcessor
    - sfxr
    - OpulenZ, an FM synth for LMMS
    - Waveshaper
    - Dual Filter
    - vocoder LADSPA plugin
  * AudioFileProcessor: added stutter playback mode
  * Added time display widget
  * Added support for vector-based automations with various interpolation 
    methods
  * Added config option to enable waveform display by default
  * Added more controls to Peak Controller
  * Added standard paths to file open/save dialog
  * LFO controller: added support for custom waveforms
  * New file dialogs allowing for project versioning
  * Added pitch range support for instruments
  * Vestige: Path to VST plugins stored as relative, if opened from
    default VST plugin path
  * Song, SongEditor, BB-Editor, Piano-Roll: correction of play button problems
  * Display key presses in Piano Roll
  * Save solo states for tracks
  * Fixed envelope sustain response
  * Add support for upgrading presets
  * Added optional drawing of note names in Piano Roll
  * Improved overall performance by switching of FX processing if input
    is silent - you might need to tweak the FX decay knobs
  * Use Kicker as default instrument in B+B-Editor
  * Added option for unlinking all controls to context menu of controls
  * Fixed various build issues related to ZynAddSubFX, VST support etc.
  * Atomically write project files via overwrite-by-rename to prevent
    data loss upon disk failures
  * Timeline: allow right click + shift to move left loop point
  * Fixed various MIDI-related issues
  * Default MIDI velocity to 63 for volume=100%
  * CLANG compatibility
  * Hide contents of envelope/LFO tab and display info about
    single-streamed instruments instead
  * Knob code improvement: make the acceleration curve smoother
    and less "sudden" (exponential response curve for smoothing operation)
  * File dialog: Common places added to left pane
  * New mime-type icons
  * Native Amplifier plugin
  * Added support for loading 32-bit samples
  * Fixed oversampling and other problems in export

  [ Timo Jyrinki ]
  * Rework to be according to (LP: #1291675)
  * Sync sources to match the bzr snapshot tarball.
  * Refresh fix-crash-on-close.patch to apply.
  * Apply and remove upstream_fixes patch, already included in the upstream 
    snapshot.
  * Fix-broken-command-line-rendering.-Should-always-che.patch:
    - Add from git as suggested 
  * AutomatableModel-always-fit-value-from-linked-model.patch:
    - Replace the old patch with a format-patch version from git, but 
      unapplied as already included in the bzr snapshot
  * Drop lib64-builddir.patch, seems obsolete
  * debian/lmms.lintian-overrides:
    - Override pkg-has-shlibs-control-file-but-no-actual-shared-libs as 
      the libraries are private plugins. Also ignore the
      useless-call-to-ldconfig:s.
  * Restore debian/lmms.xpm from the png to clean a lintian error
  * Clean changelog of lintian warnings
  * Remove unneeded postrm/postinst scripts with 'update-menu'

 -- Israel Dahl (God Loves You) <israeldahl@gmail.com>  Wed, 09 Apr 2014 14:18:26 -0500
