## lmms 1.0.0+stable

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PROJECT(lmms)
 
-SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
+SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 IF(COMMAND CMAKE_POLICY)
 	CMAKE_POLICY(SET CMP0005 NEW)
@@ -13,9 +13,9 @@
 INCLUDE(CheckIncludeFiles)
 INCLUDE(FindPkgConfig)
 
-SET(VERSION_MAJOR "0")
-SET(VERSION_MINOR "4")
-SET(VERSION_PATCH "15")
+SET(VERSION_MAJOR "1")
+SET(VERSION_MINOR "0")
+SET(VERSION_PATCH "0")
 #SET(VERSION_SUFFIX "")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 IF(VERSION_SUFFIX)
@@ -37,7 +37,6 @@
 OPTION(WANT_SDL		"Include SDL (Simple DirectMedia Layer) support" ON)
 OPTION(WANT_SF2		"Include SoundFont2 player plugin" ON)
 OPTION(WANT_STK		"Include Stk (Synthesis Toolkit) support" ON)
-OPTION(WANT_SYSTEM_SR	"Use system's libsamplerate" ON)
 OPTION(WANT_SWH		"Include Steve Harris's LADSPA plugins" ON)
 OPTION(WANT_TAP		"Include Tom's Audio Processing LADSPA plugins" ON)
 OPTION(WANT_VST		"Include VST support" ON)
@@ -84,6 +83,8 @@
 CHECK_INCLUDE_FILES(process.h LMMS_HAVE_PROCESS_H)
 CHECK_INCLUDE_FILES(locale.h LMMS_HAVE_LOCALE_H)
 
+LIST(APPEND CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}")
+
 # check for Qt4
 SET(QT_MIN_VERSION "4.3.0" COMPONENTS QtCore QtGui QtXml)
 FIND_PACKAGE(Qt4 REQUIRED)
@@ -99,7 +100,7 @@
 IF(NOT WIN32)
 	STRING(REPLACE "-DQT_DLL" "" QT_DEFINITIONS "${QT_DEFINITIONS}")
 ENDIF(NOT WIN32)
-INCLUDE(${QT_USE_FILE})
+INCLUDE("${QT_USE_FILE}")
 
 # check for libsndfile
 PKG_CHECK_MODULES(SNDFILE REQUIRED sndfile>=1.0.11)
@@ -159,7 +160,7 @@
 	SET(SDL_INCLUDE_DIR "")
 ELSE(NOT LMMS_HAVE_SDL)
 	IF(NOT SDL_INCLUDE_DIR)
-		SET(SDL_INCLUDE_DIR ${CMAKE_FIND_ROOT_PATH}/include)
+		SET(SDL_INCLUDE_DIR "${CMAKE_FIND_ROOT_PATH}/include")
 	ENDIF(NOT SDL_INCLUDE_DIR)
 ENDIF(NOT LMMS_HAVE_SDL)
 
@@ -282,27 +283,13 @@
 
 # check for WINE
 IF(WANT_VST)
-	INCLUDE(CheckLibraryExists)
-	INCLUDE(CheckIncludeFileCXX)
-	SET(CMAKE_REQUIRED_FLAGS_ORIG ${CMAKE_REQUIRED_FLAGS})
-	SET(CMAKE_REQUIRED_INCLUDES_ORIG ${CMAKE_REQUIRED_INCLUDES})
-	SET(CMAKE_CXX_COMPILER_ORIG ${CMAKE_CXX_COMPILER})
-	IF(LMMS_HOST_X86_64)
-		SET(CMAKE_REQUIRED_FLAGS -m32 ${CMAKE_REQUIRED_FLAGS})
-	ENDIF(LMMS_HOST_X86_64)
-	CHECK_LIBRARY_EXISTS(wine wine_init "" HAVE_LIBWINE)
-	SET(CMAKE_CXX_COMPILER /usr/bin/wineg++)
-	SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${CMAKE_INSTALL_PREFIX}/include/wine/windows /usr/include/wine/windows)
-	CHECK_INCLUDE_FILE_CXX(windows.h HAVE_WINDOWS_H)
-	SET(CMAKE_CXX_COMPILER ${CMAKE_CXX_COMPILER_ORIG})
-	SET(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS_ORIG})
-	SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES_ORIG})
-	IF(HAVE_LIBWINE AND HAVE_WINDOWS_H)
+	FIND_PACKAGE(Wine)
+	IF(WINE_FOUND)
 		SET(LMMS_SUPPORT_VST TRUE)
 		SET(STATUS_VST "OK")
-	ELSE(HAVE_LIBWINE AND HAVE_WINDOWS_H)
+	ELSE(WINE_FOUND)
 		SET(STATUS_VST "not found, please install (lib)wine-dev (or similiar) - 64 bit systems additionally need gcc-multilib and g++-multilib")
-	ENDIF(HAVE_LIBWINE AND HAVE_WINDOWS_H)
+	ENDIF(WINE_FOUND)
 ENDIF(WANT_VST)
 IF(LMMS_BUILD_WIN32)
 	SET(LMMS_SUPPORT_VST TRUE)
@@ -311,56 +298,43 @@
 
 
 # check for libsamplerate
-IF(WANT_SYSTEM_SR)
-	PKG_CHECK_MODULES(SAMPLERATE samplerate>=0.1.8)
-	IF(SAMPLERATE_FOUND)
-		SET(LMMS_HAVE_SAMPLERATE TRUE)
-	ENDIF(SAMPLERATE_FOUND)
-ENDIF(WANT_SYSTEM_SR)
-IF(NOT LMMS_HAVE_SAMPLERATE)
-	INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate)
-	SET(CMAKE_CROSSCOMPILING_ORIG "${CMAKE_CROSSCOMPILING}")
-	SET(CMAKE_CROSSCOMPILING "")
-	INCLUDE(ChecksForLibSamplerate)
-	SET(LIBSAMPLERATE_SOURCES 
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/samplerate.c
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/samplerate.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/src_sinc.c
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/high_qual_coeffs.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/mid_qual_coeffs.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/fastest_coeffs.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/common.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/src_config.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/float_cast.h
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/src_zoh.c
-		${CMAKE_SOURCE_DIR}/src/3rdparty/samplerate/src_linear.c)
-	SET(CMAKE_CROSSCOMPILING "${CMAKE_CROSSCOMPILING_ORIG}")
-ENDIF(NOT LMMS_HAVE_SAMPLERATE)
-
-
-CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/lmmsconfig.h.in ${CMAKE_BINARY_DIR}/lmmsconfig.h)
-CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/lmmsversion.h.in ${CMAKE_BINARY_DIR}/lmmsversion.h)
-CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/lmms.rc.in ${CMAKE_BINARY_DIR}/lmms.rc)
-CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/plugins/zynaddsubfx/zynaddsubfx.rc.in ${CMAKE_BINARY_DIR}/plugins/zynaddsubfx/zynaddsubfx.rc)
+PKG_CHECK_MODULES(SAMPLERATE REQUIRED samplerate>=0.1.8)
+
+
+CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/lmmsconfig.h.in" "${CMAKE_BINARY_DIR}/lmmsconfig.h")
+CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/lmmsversion.h.in" "${CMAKE_BINARY_DIR}/lmmsversion.h")
+CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/lmms.rc.in" "${CMAKE_BINARY_DIR}/lmms.rc")
+CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/plugins/zynaddsubfx/zynaddsubfx.rc.in" "${CMAKE_BINARY_DIR}/plugins/zynaddsubfx/zynaddsubfx.rc")
 
 # set compiler flags
-#SET(CMAKE_BUILD_TYPE relwithdebug)
-SET(CMAKE_C_FLAGS "-O2 -g -Wall ${CMAKE_C_FLAGS}")
-SET(CMAKE_CXX_FLAGS "-O2 -g -fno-exceptions -Wall ${CMAKE_CXX_FLAGS}")
-#SET(CMAKE_C_FLAGS_${CMAKE_BUILD_TYPE} "${CMAKE_C_FLAGS}")
-#SET(CMAKE_CXX_FLAGS_${CMAKE_BUILD_TYPE} "${CMAKE_CXX_FLAGS}")
-
-
-# people simply updating SVN will still have this and mess up build with it
+SET(WERROR_FLAGS "-Wall -Werror -Werror=unused-function -Wno-sign-compare -Wno-strict-overflow")
+SET(CMAKE_C_FLAGS "-O2 -g ${WERROR_FLAGS} ${CMAKE_C_FLAGS}")
+SET(CMAKE_CXX_FLAGS "-O2 -g -fno-exceptions ${WERROR_FLAGS} ${CMAKE_CXX_FLAGS}")
+set(CMAKE_C_FLAGS_DEBUG "-DLMMS_DEBUG")
+
+
+# people simply updating git will still have this and mess up build with it
 FILE(REMOVE include/lmmsconfig.h)
 
-FILE(GLOB lmms_INCLUDES ${CMAKE_SOURCE_DIR}/include/*.h)
-FILE(GLOB lmms_UI ${CMAKE_SOURCE_DIR}/src/gui/dialogs/*.ui ${CMAKE_SOURCE_DIR}/src/gui/Forms/*.ui)
-FILE(GLOB_RECURSE lmms_SOURCES ${CMAKE_SOURCE_DIR}/src/*.cpp)
+FILE(GLOB lmms_INCLUDES "${CMAKE_SOURCE_DIR}/include/*.h")
+FILE(GLOB lmms_UI "${CMAKE_SOURCE_DIR}/src/gui/dialogs/*.ui" "${CMAKE_SOURCE_DIR}/src/gui/Forms/*.ui")
+FILE(GLOB_RECURSE lmms_SOURCES "${CMAKE_SOURCE_DIR}/src/*.cpp")
 
 SET(lmms_MOC ${lmms_INCLUDES})
 
-SET(lmms_EMBEDDED_RESOURCES ${CMAKE_SOURCE_DIR}/AUTHORS ${CMAKE_SOURCE_DIR}/COPYING)
+# Get list of all committers from git history, ordered by number of commits
+FIND_PACKAGE(Git)
+IF(GIT_FOUND)
+	SET(CONTRIBUTORS "${CMAKE_BINARY_DIR}/CONTRIBUTORS")
+	EXECUTE_PROCESS(
+		COMMAND "${GIT_EXECUTABLE}" shortlog -sne
+		COMMAND cut -c8-
+		OUTPUT_FILE "${CONTRIBUTORS}"
+		WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+		TIMEOUT 1)
+ENDIF(GIT_FOUND)
+
+SET(lmms_EMBEDDED_RESOURCES "${CMAKE_SOURCE_DIR}/AUTHORS" "${CMAKE_SOURCE_DIR}/COPYING" "${CONTRIBUTORS}")
 
 QT4_WRAP_CPP(lmms_MOC_out ${lmms_MOC} OPTIONS -nw)
 QT4_WRAP_UI(lmms_UI_out ${lmms_UI})
@@ -368,3 +342,50 @@
 
 # embedded resources stuff
 IF(WIN32 OR WIN64)
+	# compile buildtools native
+	SET(BIN2RES_CPP "${CMAKE_SOURCE_DIR}/buildtools/bin2res.cpp")
+	SET(BIN2RES "${CMAKE_BINARY_DIR}/bin2res")
+	ADD_CUSTOM_COMMAND(OUTPUT "${BIN2RES}" COMMAND g++ ARGS "\"${BIN2RES_CPP}\"" -o "\"${BIN2RES}\"" DEPENDS "${BIN2RES_CPP}")
+ELSE(WIN32 OR WIN64)
+	ADD_EXECUTABLE(bin2res buildtools/bin2res.cpp)
+	GET_TARGET_PROPERTY(BIN2RES bin2res LOCATION)
+ENDIF(WIN32 OR WIN64)
+
+SET(LMMS_ER_H "${CMAKE_CURRENT_BINARY_DIR}/embedded_resources.h")
+
+# we somehow have to make LMMS-binary depend on MOC-files
+ADD_FILE_DEPENDENCIES("${CMAKE_BINARY_DIR}/lmmsconfig.h" ${lmms_MOC_out})
+
+ADD_CUSTOM_COMMAND(OUTPUT "${LMMS_ER_H}" COMMAND "${BIN2RES}" ARGS ${lmms_EMBEDDED_RESOURCES} > "\"${LMMS_ER_H}\"" DEPENDS "${BIN2RES}")
+
+IF(WIN32)
+	SET(WINRC "${CMAKE_BINARY_DIR}/lmmsrc.obj")
+	ADD_CUSTOM_COMMAND(OUTPUT "${WINRC}"
+				COMMAND "${WINDRES}"
+					"-I\"${CMAKE_SOURCE_DIR}\""
+					"-o\"${CMAKE_BINARY_DIR}/lmmsrc.obj\""
+					"-i\"${CMAKE_BINARY_DIR}/lmms.rc\""
+				DEPENDS "${CMAKE_BINARY_DIR}/lmms.rc")
+	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes")
+ELSE(WIN32)
+	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -DPIC")
+ENDIF(WIN32)
+
+
+
+# make sub-directories
+ADD_SUBDIRECTORY(plugins)
+ADD_SUBDIRECTORY(data)
+ADD_SUBDIRECTORY(doc)
+
+
+#
+# build LMMS-binary
+#
+IF(LMMS_BUILD_WIN32)
+	SET(EXTRA_LIBRARIES "-lwinmm")
+ENDIF()
+
+# Paths relative to lmms executable
+FILE(RELATIVE_PATH LIB_DIR_RELATIVE "/${BIN_DIR}" "/${LIB_DIR}")
+FILE(RELATIVE_PATH PLUGIN_DIR_RELATIVE "/${BIN_DIR}" "/${PLUGIN_DIR}")
