=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,6 @@
 ADD_SUBDIRECTORY(vestige)
 ADD_SUBDIRECTORY(vst_base)
 ADD_SUBDIRECTORY(VstEffect)
-ADD_SUBDIRECTORY(watsyn)
 ADD_SUBDIRECTORY(waveshaper)
 ADD_SUBDIRECTORY(vibed)
 ADD_SUBDIRECTORY(zynaddsubfx)
