=== debian/changelog ===
lmms (1.0.0+stable-0ubuntu1) trusty; urgency=medium

  [ Israel Dahl ]
  * Stable release instead of erronous master snapshot (LP: #1335542)
  * Backport two patches from stable branch:
    - fix-crash-on-close.patch
    - Fix-broken-command-line-rendering.-Should-always-che.patch

  [ Timo Jyrinki ]
  * Exact matching of the upstream tarball - auxiliary files and apply 
    patches only during the build.

 -- Israel Dahl <israeldahl@gmail.com>  Sun, 29 Jun 2014 00:38:41 -0500
