=== debian/control ===
Source: lmms
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Winnertz <winnie@debian.org>
Build-Depends: 
 cmake,
 debhelper (>= 9.0.0),
 gcc-multilib [amd64],
 g++-multilib [amd64],
 imagemagick,
 ladspa-sdk,
 libsdl-sound1.2-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libjack-dev,
 libstk0-dev,
 libflac-dev,
 libfltk1.3-dev,
 libxinerama-dev,
 libasound2-dev [linux-any],
 libqt4-dev,
 libpulse-dev,
 libfluidsynth-dev,
 libfftw3-dev,
 libfreetype6-dev,
 libxft-dev,
 portaudio19-dev,
 qt4-qmake, 
 wine-dev[i386]
Standards-Version: 3.9.5
Homepage: http://lmms.sf.net/

Package: lmms
Architecture: any
Depends: lmms-common (>= ${source:Version}) , ${shlibs:Depends}, ${misc:Depends}, stk
Recommends: tap-plugins, caps
Suggests: fil-plugins, mcp-plugins, omins, vcf, freepats, fluid-soundfont-gm
Description: Linux Multimedia Studio
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.

Package: lmms-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Multimedia Studio - common files
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.
 .
 This package contains the platform independent files such as samples, presets
 and some example projects.
