=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,10 @@
 ADD_SUBDIRECTORY(lb302)
 #ADD_SUBDIRECTORY(lb303)
 ADD_SUBDIRECTORY(midi_import)
+IF(NOT LMMS_BUILD_APPLE)
+   ADD_SUBDIRECTORY(opl2)
+ENDIF()
 ADD_SUBDIRECTORY(organic)
-ADD_SUBDIRECTORY(opl2)
 ADD_SUBDIRECTORY(papu)
 ADD_SUBDIRECTORY(patman)
 ADD_SUBDIRECTORY(peak_controller_effect)
