## lmms 1.0.1-src

=== debian/changelog ===
lmms (1.0.1-src-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Israel Dahl <israeldahl@gmail.com>  Wed, 30 Apr 2014 18:49:37 -0500
